Bug 61480 - Writing to a i2o raid device (Intel STL2 Motherboard)
Summary: Writing to a i2o raid device (Intel STL2 Motherboard)
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-20 12:17 UTC by Marius Bezuidenhout
Modified: 2007-04-18 16:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-08 16:48:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marius Bezuidenhout 2002-03-20 12:17:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; Q312461)

Description of problem:
When using the standard kernel & modules it seems like data block are not being 
flushed to disk. The i2o drivers hangs.

Version-Release number of selected component (if applicable):2.4.7-10


How reproducible:
Always

Steps to Reproduce:
1.Run the 2.4.7-10 sandard kernel and dump a large amount (>100MB) to disk.
	

Actual Results:  The machine is unable to read or write any data to disk.

Additional info:

Comment 1 Arjan van de Ven 2002-03-20 12:22:56 UTC
for i2o it is recommended to use the erratum kernel 2.4.9-31.

Comment 2 Marius Bezuidenhout 2002-03-20 19:09:46 UTC
Version-Release number of selected component (if applicable):2.4.9-31

Same problem

Comment 3 Dax Kelson 2002-03-26 23:57:58 UTC
I can reproduce the problem on two different boxes.  The boxes are Intel Quad
Xeon (P3), the platform is the "4-way Intel SRKA4".

They use the Intel Server i2o RAID U3-1 controller.

With the 2.4.9-13 errata kernel, I did NOT have the problem.  I never tried the
-21 errata kernel, but the 2.4.9-31 errata kernel definately has the hang.

Comment 4 Alan Cox 2002-03-27 00:15:46 UTC
I've got a collection of known problems with the intel SCU2. Intel have
discontinued it and don't appear keen on helping debug it. The traces I have
show us issuing the card a command and the board then stopping talking to us.
Its definitely related to long linear writes.

I've been doing a fair bit of I2O rewriting to clean up all the crud and have
fixed a few things along the way. Unfortunately I don't think I've fixed
anything which would explain why this specific card fails



Comment 5 Dax Kelson 2002-03-27 00:18:02 UTC
I take back the comment about -13 working.  I just rebooted to it and tried to
copy a 500MB apache log file located on the raid volume to another dir on the
raid volume.

The new file stopped growing after about 190MB or so.  The "cp" command became
unkillable even with '-9'.

ps -eo name,wchan showed the cp in "lock_page".

Dax

Comment 6 Mike McLean 2003-01-02 18:58:10 UTC
This bug has been inappropriately marked MODIFIED. Please review the bug life
cycle information at 
http://bugzilla.redhat.com/bugzilla/bug_status.cgi

Changing bug status to ASSIGNED.

Comment 7 Alan Cox 2003-06-08 16:48:41 UTC
There is simply insufficient info to fix this problem. Plus I am informed by
Intel that their later firmware no longer uses i2o but gdth



Note You need to log in before you can comment on or make changes to this bug.